Create a new culture
curl --request POST \
--url {protocol}://{host}:{port}/culture/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"council_sage_id": "c3d4e5f6-7890-4abc-def0-123456789abc",
"name": "Technical Interview Culture",
"instructions": "Focus on problem-solving and system design",
"duration": 30,
"tone": "professional",
"intro_question": "Tell me about a challenging project you worked on"
}
'import requests
url = "{protocol}://{host}:{port}/culture/"
payload = {
"council_sage_id": "c3d4e5f6-7890-4abc-def0-123456789abc",
"name": "Technical Interview Culture",
"instructions": "Focus on problem-solving and system design",
"duration": 30,
"tone": "professional",
"intro_question": "Tell me about a challenging project you worked on"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
council_sage_id: 'c3d4e5f6-7890-4abc-def0-123456789abc',
name: 'Technical Interview Culture',
instructions: 'Focus on problem-solving and system design',
duration: 30,
tone: 'professional',
intro_question: 'Tell me about a challenging project you worked on'
})
};
fetch('{protocol}://{host}:{port}/culture/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/culture/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'council_sage_id' => 'c3d4e5f6-7890-4abc-def0-123456789abc',
'name' => 'Technical Interview Culture',
'instructions' => 'Focus on problem-solving and system design',
'duration' => 30,
'tone' => 'professional',
'intro_question' => 'Tell me about a challenging project you worked on'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/culture/"
payload := strings.NewReader("{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/culture/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/culture/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}"
response = http.request(request)
puts response.read_body{}
Culture
Create a new culture
Creates a new culture record. Currently a stub endpoint.
POST
/
culture
/
Create a new culture
curl --request POST \
--url {protocol}://{host}:{port}/culture/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"council_sage_id": "c3d4e5f6-7890-4abc-def0-123456789abc",
"name": "Technical Interview Culture",
"instructions": "Focus on problem-solving and system design",
"duration": 30,
"tone": "professional",
"intro_question": "Tell me about a challenging project you worked on"
}
'import requests
url = "{protocol}://{host}:{port}/culture/"
payload = {
"council_sage_id": "c3d4e5f6-7890-4abc-def0-123456789abc",
"name": "Technical Interview Culture",
"instructions": "Focus on problem-solving and system design",
"duration": 30,
"tone": "professional",
"intro_question": "Tell me about a challenging project you worked on"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
council_sage_id: 'c3d4e5f6-7890-4abc-def0-123456789abc',
name: 'Technical Interview Culture',
instructions: 'Focus on problem-solving and system design',
duration: 30,
tone: 'professional',
intro_question: 'Tell me about a challenging project you worked on'
})
};
fetch('{protocol}://{host}:{port}/culture/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/culture/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'council_sage_id' => 'c3d4e5f6-7890-4abc-def0-123456789abc',
'name' => 'Technical Interview Culture',
'instructions' => 'Focus on problem-solving and system design',
'duration' => 30,
'tone' => 'professional',
'intro_question' => 'Tell me about a challenging project you worked on'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/culture/"
payload := strings.NewReader("{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("{protocol}://{host}:{port}/culture/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/culture/")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"council_sage_id\": \"c3d4e5f6-7890-4abc-def0-123456789abc\",\n \"name\": \"Technical Interview Culture\",\n \"instructions\": \"Focus on problem-solving and system design\",\n \"duration\": 30,\n \"tone\": \"professional\",\n \"intro_question\": \"Tell me about a challenging project you worked on\"\n}"
response = http.request(request)
puts response.read_body{}
Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_sage (informational only -- enforced server-side)
Body
application/json
UUID of the council sage this culture belongs to
Display name for the culture
Interview instructions for the sage
Instructions for results generation
Interview duration in minutes
Interview tone setting
Opening question for the interview
Response
Culture created
The response is of type object.